"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.didFromRevocationRegistryDefinitionId = exports.didFromCredentialDefinitionId = exports.didFromSchemaId = exports.getLegacyCredentialDefinitionId = exports.getLegacySchemaId = exports.indyVdrAnonCredsRegistryIdentifierRegex = exports.legacyIndyVdrRevocationRegistryIdRegex = exports.legacyIndyVdrCredentialDefinitionIdRegex = exports.legacyIndyVdrSchemaIdRegex = exports.legacyIndyVdrIssuerIdRegex = void 0;
exports.legacyIndyVdrIssuerIdRegex = /^[a-zA-Z0-9]{21,22}$/;
exports.legacyIndyVdrSchemaIdRegex = /^[a-zA-Z0-9]{21,22}:2:.+:[0-9.]+$/;
exports.legacyIndyVdrCredentialDefinitionIdRegex = /^[a-zA-Z0-9]{21,22}:3:CL:(([1-9][0-9]*)|([a-zA-Z0-9]{21,22}:2:.+:[0-9.]+)):(.+)?$/;
exports.legacyIndyVdrRevocationRegistryIdRegex = /^[a-zA-Z0-9]{21,22}:4:[a-zA-Z0-9]{21,22}:3:CL:(([1-9][0-9]*)|([a-zA-Z0-9]{21,22}:2:.+:[0-9.]+))(:.+)?:CL_ACCUM:(.+$)/;
exports.indyVdrAnonCredsRegistryIdentifierRegex = new RegExp(`${exports.legacyIndyVdrIssuerIdRegex.source}|${exports.legacyIndyVdrSchemaIdRegex.source}|${exports.legacyIndyVdrCredentialDefinitionIdRegex.source}|${exports.legacyIndyVdrRevocationRegistryIdRegex.source}`);
function getLegacySchemaId(unqualifiedDid, name, version) {
    return `${unqualifiedDid}:2:${name}:${version}`;
}
exports.getLegacySchemaId = getLegacySchemaId;
function getLegacyCredentialDefinitionId(unqualifiedDid, seqNo, tag) {
    return `${unqualifiedDid}:3:CL:${seqNo}:${tag}`;
}
exports.getLegacyCredentialDefinitionId = getLegacyCredentialDefinitionId;
/**
 * Extract did from schema id
 */
function didFromSchemaId(schemaId) {
    const [did] = schemaId.split(':');
    return did;
}
exports.didFromSchemaId = didFromSchemaId;
/**
 * Extract did from credential definition id
 */
function didFromCredentialDefinitionId(credentialDefinitionId) {
    const [did] = credentialDefinitionId.split(':');
    return did;
}
exports.didFromCredentialDefinitionId = didFromCredentialDefinitionId;
function didFromRevocationRegistryDefinitionId(revocationRegistryId) {
    const [did] = revocationRegistryId.split(':');
    return did;
}
exports.didFromRevocationRegistryDefinitionId = didFromRevocationRegistryDefinitionId;
//# sourceMappingURL=identifiers.js.map